version: '3.7'

services:
  db:
    image: mysql:8.0
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: root123
      MYSQL_DATABASE: assignment
      #MYSQL_USER: root
      MYSQL_PASSWORD: P@ssw0rd
 
  spring:
    image: assignmet:210826-09bf92fc
    restart: always
    depends_on:
      - db
    environment:
      SPRING_URL: jdbc:mysql://127.0.0.1/assignment?allowPublicKeyRetrieval=true
      SPRING_DB_USER: root
      SPRING_DB_PASSWORD: P@ssw0rd
      SPRING_DB_NAME: assignment
